//
//  NSString+AGEncryption.h
//  AGCategoryManager
//
//  Created by lanou3g on 16/3/13.
//  Copyright © 2016年 Ager. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CommonCrypto/CommonCrypto.h>



@interface NSString (AGEncryption)

/**
 *  @author AgerCui, 16-03-13
 *
 *  对字符串进行 MD2 加密
 *
 *  @param data 需要机密的字符串
 *
 *  @return 加密后的字符串
 */
- (NSString *)AG_Encryption_MD2;


/**
 *  @author AgerCui, 16-03-13
 *
 *  对字符串进行 MD4 加密
 *
 *  @param data 需要机密的字符串
 *
 *  @return 加密后的字符串
 */
- (NSString *)AG_Encryption_MD4;


/**
 *  @author AgerCui, 16-03-13
 *
 *  对字符串进行 MD5 加密
 *
 *  @param data 需要机密的字符串
 *
 *  @return 加密后的字符串
 */
- (NSString *)AG_Encryption_MD5;


/**
 *  @author AgerCui, 16-03-13
 *
 *  对字符串进行 SHA1 加密
 *
 *  @param data 需要机密的字符串
 *
 *  @return 加密后的字符串
 */
- (NSString *)AG_Encryption_SHA1;


/**
 *  @author AgerCui, 16-03-13
 *
 *  对字符串进行 SHA224 加密
 *
 *  @param data 需要机密的字符串
 *
 *  @return 加密后的字符串
 */
- (NSString *)AG_Encryption_SHA224;


/**
 *  @author AgerCui, 16-03-13
 *
 *  对字符串进行 SHA256 加密
 *
 *  @param data 需要机密的字符串
 *
 *  @return 加密后的字符串
 */
- (NSString *)AG_Encryption_SHA256;


/**
 *  @author AgerCui, 16-03-13
 *
 *  对字符串进行 SHA384 加密
 *
 *  @param data 需要机密的字符串
 *
 *  @return 加密后的字符串
 */
- (NSString *)AG_Encryption_SHA384;


/**
 *  @author AgerCui, 16-03-13
 *
 *  对字符串进行 SHA512 加密
 *
 *  @param data 需要机密的字符串
 *
 *  @return 加密后的字符串
 */
- (NSString *)AG_Encryption_SHA512;




@end
